% Generated by roxygen2 (4.0.2): do not edit by hand
\name{readWQPdata}
\alias{readWQPdata}
\title{General Data Import from Water Quality Portal}
\usage{
readWQPdata(...)
}
\arguments{
\item{\dots}{see \url{www.waterqualitydata.us/webservices_documentation.jsp} for a complete list of options}
}
\value{
retval dataframe with first column dateTime, and at least one qualifier and value columns
(subsequent qualifier/value columns could follow depending on requested parameter codes)

There are also several useful attributes attached to the data frame:
\tabular{lll}{
Name \tab Type \tab Description \cr
url \tab character \tab The url used to generate the data \cr
siteInfo \tab data.frame \tab A data frame containing information on the requested sites \cr
variableInfo \tab data.frame \tab A data frame containing information on the requested parameters \cr
queryTime \tab POSIXct \tab The time the data was returned \cr
}
}
\description{
Imports data from Water Quality Portal web service. This function gets the data from here: \url{http://www.waterqualitydata.us}.
because it allows for other agencies rather than the USGS.
}
\examples{
\dontrun{
nameToUse <- "pH"
pHData <- readWQPdata(siteid="USGS-04024315",characteristicName=nameToUse)
pHDataExpanded <- readWQPdata(bBox="-90.10,42.67,-88.64,43.35",characteristicName=nameToUse)
}
}
\keyword{WQP}
\keyword{data}
\keyword{import}
\keyword{service}
\keyword{web}

